oracle.adf.view.rich.model

## Class ColumnDescriptor

- java.lang.Object
- - oracle.adf.view.rich.model.Descriptor
  - - oracle.adf.view.rich.model.BaseAttributeDescriptor
    - - oracle.adf.view.rich.model.AttributeDescriptor
      - - oracle.adf.view.rich.model.ColumnDescriptor

-     public abstract class ColumnDescriptor
      extends AttributeDescriptor

  A column Descriptor describes the model for column used to dynamically create a column in a rich table.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class oracle.adf.view.rich.model.AttributeDescriptor

      `AttributeDescriptor.ComponentType, AttributeDescriptor.Operator`

  - ### Field Summary

    - ### Fields inherited from class oracle.adf.view.rich.model.AttributeDescriptor

      `DESCRIPTOR_TYPE_ATTRIBUTE`

    - ### Fields inherited from class oracle.adf.view.rich.model.Descriptor

      `DESCRIPTOR_TYPE_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getAlign()` Returns the alignment for the column.
    `abstract int` | `getWidth()` Returns the width for the column in pixel.

    - ### Methods inherited from class oracle.adf.view.rich.model.AttributeDescriptor

      `getAutoSuggestBehaviorConfig, getSupportedOperators, isIndexed`

    - ### Methods inherited from class oracle.adf.view.rich.model.BaseAttributeDescriptor

      `getAutoComplete, getCharacterCountBy, getComponentType, getConverter, getCustomizedProperty, getDescriptorType, getFormat, getGroupName, getLength, getMaximumLength, getModel, getPlaceholder, getTimeZone, getType, getValidator, hasDefaultConverter, isReadOnly, isRequired`

    - ### Methods inherited from class oracle.adf.view.rich.model.Descriptor

      `getDescription, getLabel, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnDescriptor

          public ColumnDescriptor()

  - ### Method Detail

    - #### getWidth

          public abstract int getWidth()

      Returns the width for the column in pixel.
      Returns:
        the width of the column in pixels

    - #### getAlign

          public abstract String getAlign()

      Returns the alignment for the column. Possible values are start, end, center, left, right
      Returns:
        the alignement for the column.

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.